package com.ruoyi.frequency.bondwithdrawalrecord.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.controller.req.WithApplyReq;
import com.ruoyi.frequency.bondwithdrawalrecord.entity.BondWithdrawalRecord;
import com.ruoyi.frequency.bondwithdrawalrecord.model.result.BondWithdrawalRecordCount;
import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.PageBasic;
import com.ruoyi.vo.UserVo;

import java.util.List;

/**
 * 保证金提现记录Service接口
 *
 * @author liwenlong
 * @date 2023-10-31
 */
public interface BondWithdrawalRecordService extends IService<BondWithdrawalRecord>
{
    /**
     * 查询保证金提现记录
     *
     * @param id 保证金提现记录主键
     * @return 保证金提现记录
     */
    public BondWithdrawalRecord selectBondWithdrawalRecordById(Long id);

    /**
     * 查询保证金提现记录列表
     *
     * @param bondWithdrawalRecord 保证金提现记录
     * @return 保证金提现记录集合
     */
    public List<BondWithdrawalRecord> selectBondWithdrawalRecordList(BondWithdrawalRecord bondWithdrawalRecord);


    BondWithdrawalRecordCount statistics(BondWithdrawalRecord bondWithdrawalRecord);
    /**
     * 新增保证金提现记录
     *
     * @param bondWithdrawalRecord 保证金提现记录
     * @return 结果
     */
    public int insertBondWithdrawalRecord(BondWithdrawalRecord bondWithdrawalRecord);

    /**
     * 修改保证金提现记录
     *
     * @param bondWithdrawalRecord 保证金提现记录
     * @return 结果
     */
    public int updateBondWithdrawalRecord(BondWithdrawalRecord bondWithdrawalRecord);

    /**
     * 批量删除保证金提现记录
     *
     * @param ids 需要删除的保证金提现记录主键集合
     * @return 结果
     */
    public int deleteBondWithdrawalRecordByIds(Long[] ids,Integer delFalg);

    /**
     * 保证金提现审核
     * @param bondWithdrawalRecord
     * @return
     */
    AjaxResult process(BondWithdrawalRecord bondWithdrawalRecord);

    ResponseData apply(WithApplyReq req, UserVo userVo);

    ResponseData withdrawalRecordPage(PageBasic req, UserVo userVo);

    ResponseData getDetail(Long id);
}
